Bug 824693 - RFE: Pubsnum++
RFE: Pubsnum++
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 22:18 EDT by Misha H. Ali
Modified: 2013-06-06 21:12 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.25.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 21:12:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2012-05-23 22:18:19 EDT
Currently when using CSP to build a book and then brew it, we need to manually check out and edit the pubsnumber in the content spec file. It would be handy if a command was available to increment the specified pubsnumber value without having to pull it the whole spec again.

Something like:

csprocessor pubsnum <increment by> <SPECID>

Increment by could be an optional field to increment the number by more than just 1. This command would ideally also allow users to inject a pubsnum field and default value (1) or specific value (manually incremented pubsnum for the past four brews, now want to set pubsnum+4.

This would just be a simple way to reduce the unnecessary step in the workflow where we must get the content spec anew and update the pubsnum value and push it back.
Comment 1 Lee Newson 2012-05-24 18:34:04 EDT
We already have this partially. You can currently do:

csprocessor build <SPECID> --override pubsnumber=<NUMBER>

Though an incremental option is a good idea. Perhaps something like:

csprocessor build <SPECID> --override pubsnumber=+<NUMBER>
Comment 2 Misha H. Ali 2012-07-05 21:27:48 EDT
Would the following just override the original entry in the content spec with a new number or set the number to the incremented value permanently.

What I had in mind was that for someone with multiple books, they would not need to recall what the last override was but just add a (non build) command to accept the pubsnum value and add 1 to it and save the new value in the content spec.

This way, I don't need to know what the number is, just that I need to increment it, most likely as an additional step in my build and brew process, right after a successful build so that it is ready to go for next time.
Comment 3 Lee Newson 2012-07-05 21:41:21 EDT
Hmm hadn't thought much about that but it's a good point. What I would like to do (and why I haven't done much on this) is have a command to get the correct pubsnumber from Brew. Doing this would then allow a publish command (see Bug #829947) to be created.

Reference: https://fedorahosted.org/koji/wiki/XML-RPC_APIs
Comment 5 Lee Newson 2012-07-16 03:08:53 EDT
Important Note:

When a csprocessor project is created or checked out the KOJI_HUB_URL will be blank in the csprocessor.cfg file. This means that it will attempt to use the default value from csprocessor.ini. This can be changed by adding a URL to the csprocessor.cfg file for the KOJI_HUB_URL variable.

Note You need to log in before you can comment on or make changes to this bug.